require 'pg'

require 'common/agendav_plugin'
require 'rm/rm_plugin'

class AgendavRm

  include AgendavPlugin
  include RmPlugin


  def delete_user(user)
    # Delete the given username and any records in other tables
    # belonging to it.
    raise NonexistentUserError.new(user) if not user_exists(user)

    sql_queries = ['DELETE FROM prefs WHERE username = $1;']
    sql_queries << 'DELETE FROM shared WHERE user_from = $1;'

    begin
      connection = PGconn.connect(@db_host,
                                  @db_port,
                                  @db_opts,
                                  @db_tty,
                                  @db_name,
                                  @db_user,
                                  @db_pass)

      sql_queries.each do |sql_query|
        connection.query(sql_query, [user])
      end

      connection.close()

    rescue PGError => e
      # Pretend like we're database-agnostic in case we ever are.
      raise DatabaseError.new(e)
    end

  end

end
